Bug 145795 - [GTK] Inhibit screen saver when playing full screen video
Summary: [GTK] Inhibit screen saver when playing full screen video
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-09 04:13 PDT by Bastien Nocera
Modified: 2015-06-16 23:01 PDT (History)
7 users (show)

See Also:


Attachments
Patch (6.87 KB, patch)
2015-06-14 03:05 PDT, Carlos Garcia Campos
gustavo: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bastien Nocera 2015-06-09 04:13:27 PDT
The cross-desktop API is documented here:
http://people.freedesktop.org/~hadess/idle-inhibition-spec/index.html
Comment 1 Carlos Garcia Campos 2015-06-14 03:05:25 PDT
Created attachment 254860 [details]
Patch

Of course this doesn't work in crappy sites that still use flash for videos and don't implement the fullscreen API.
Comment 2 WebKit Commit Bot 2015-06-14 03:06:31 PDT
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 Gustavo Noronha (kov) 2015-06-16 10:29:19 PDT
Comment on attachment 254860 [details]
Patch

LGTM!
Comment 4 Carlos Garcia Campos 2015-06-16 23:01:21 PDT
Committed r185642: <http://trac.webkit.org/changeset/185642>